<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: 1.2
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 后台系统-联盟论坛处理程式
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 技术论坛: http://ctb.11cn.org
\* 创建日期: 2002/7/10
\* 修改日期: ------
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================
class Module extends CommonClass
//系统管理模块子类
{
    function execute() {
        switch($this->input['action']) {
			//
            case 'showLinkForum':
                $this->showLinkForum();
                break;
            case 'addLinkForum':
                $this->addLinkForum();
                break;
            case 'addLinkForum_do':
                $this->addLinkForum_do();
                break;
            case 'editLinkForum':
                $this->editLinkForum();
                break;
            case 'editLinkForum_do':
                $this->editLinkForum_do();
                break;
            case 'delLinkForum':
		        $this->doAdminOrder("你确定要删除此联盟论坛吗？");
                break;
            case 'delLinkForum2':
                $this->delLinkForum();
                break;
			//
        }	
    } // end func

//=============================================================================
//---1、显示所有联盟论坛
//---
//---
//---
//---
//=============================================================================


//1============================================================================
//显示所有联盟论坛
function showLinkForum()
{
	$this->file = "../".$this->set[dataPath]."/linkforum.php";
    $linkForumLine = $this->openfile();
    $numPic = 0;
	$numWord = 0;
	for( $i = 0; $i < count($linkForumLine); $i++) {
		  if ($linkForumLine[$i][2]==1){
	          $numPic++;
			  $linkForumName = $linkForumLine[$i][3];
              $linkForumLogo = "<IMG border=0 
                  height=31 src=\"".$linkForumLine[$i][5]."\" 
                  width=88>";
              $linkForumDis = $linkForumLine[$i][4];
              $linkForumUrl = $linkForumLine[$i][6];
              eval ("\$linkBodyPic .= \"".$this->getTemplate("systemLinkBody")."\";");
		  }elseif ($linkForumLine[$i][2]=="0"){
	          $numWord++;
			  $linkForumName = $linkForumLine[$i][3];
              $linkForumDis = $linkForumLine[$i][4];
              $linkForumUrl = $linkForumLine[$i][6];
              eval ("\$linkBodyWord .= \"".$this->getTemplate("systemLinkBody2")."\";");

		  }
	}
    eval("\$this->outPut(\"".$this->getTemplate("systemLink")."\");");
} // end func


//2===========================================================================
//添加联盟论坛
function addLinkForum()
{   
    eval("\$this->outPut(\"".$this->getTemplate("systemLinkAdd")."\");");
} // end func

//3===========================================================================
//执行添加联盟论坛
function addLinkForum_do()
{   
    //简单格式化输入数据
    $this->inputCheck("./main.php?mod=systemlink&action=addLinkForum");
	$addTime=time();
    //
	$linkLine = array($this->code,$addTime,$this->input['linkMode'],$this->input['linkName'],$this->input['linkComment'],$this->input['linkLogo'],$this->input['linkUrl'],"");
	//
	$this->file = "../".$this->set[dataPath]."/linkforum.php";
	$this->add_line($linkLine);
	$this->adminShowMsg("./main.php?mod=systemlink&action=showLinkForum","您已经成功添加了新的联盟论坛
	");

} // end func

//4===========================================================================
//编辑联盟论坛
function editLinkForum()
{   
	$this->file = "../".$this->set[dataPath]."/linkforum.php";
	$linkLineArray = $this->select_line("1", $this->input['id']);
    $linkName = $linkLineArray[3];
    $linkComment = $linkLineArray[4];
	$linkLogo = $linkLineArray[5];
	$linkUrl = $linkLineArray[6];

    //选择联盟论坛类型
        if ($linkLineArray[2] == "1"){
            $linkForumMode[pic] = "checked";
            $linkForumMode[word] = "";
        }
        if ($linkLineArray[2] == "0"){
            $linkForumMode[pic] = "";
            $linkForumMode[word] = "checked";
        }

    eval("\$this->outPut(\"".$this->getTemplate("systemLinkEdit")."\");");
} // end func

//5===========================================================================
//执行添加联盟论坛
function editLinkForum_do()
{   

	$this->file = "../".$this->set[dataPath]."/linkforum.php";
    $linkForumLine=array($this->code,$this->input['id'],$this->input['linkMode'],$this->input['linkName'],$this->input['linkComment'],$this->input['linkLogo'],$this->input['linkUrl'],"\n");

	$this->update2("1",$this->input['id'],$linkForumLine);
    $this->adminShowMsg("./main.php?mod=systemlink&action=showLinkForum","您已经成功修改了这个联盟论坛");

} // end func

//6===========================================================================
//删除联盟论坛
function delLinkForum()
{   
	$this->file = "../".$this->set[dataPath]."/linkforum.php";
	$this->delete2("1",$this->input['id']);
    $this->adminShowMsg("./main.php?mod=systemlink&action=showLinkForum","您已经成功删除了这个联盟论坛");
} // end func


//<<
//===========================================================================
} //end class
